require 'httpclient'
require 'nokogiri'

module Tamiyo
  class GathererScrape
    def initialize(set_name)
      @set_name = set_name
      @client = HTTPClient.new
    end

    def xml_spoiler_rows
      path = 'Pages/Search/Default.aspx'
      query = '?output=spoiler&method=text&action=advanced&set=["%s"]&special=true' % @set_name.tr(' ', '+')
      url = URI.escape "#{host}#{path}#{query}"
      response = @client.get url
      html = Nokogiri::HTML ampersand_fixed(response.body)
      html.css 'div.textspoiler tr'
    end

    def xml_card_name_details(card_id)
      path = 'Pages/Card/Details.aspx'
      query = '?multiverseid=%s' % card_id
      url = URI.escape "#{host}#{path}#{query}"
      response = @client.get url
      html = Nokogiri::HTML ampersand_fixed(response.body)
      # must apply these selectors separately for some reason
      html.css('.cardComponentContainer').css('[id$="nameRow"]')
    end

    private

    def host
      'http://gatherer.wizards.com/'
    end

    def ampersand_fixed(text)
      text.gsub /&(?![^;]{,4};)/, '&amp;'
    end
  end
end