require 'tamiyo/data_store'
require 'tamiyo/yaml/yaml_helper'

module Tamiyo
  class Sets
    class << self
      def add_custom_set(abbr, name)
        @store ||= DataStore.new
        data = @store.load_custom_sets
        data['sets'] ||= {}
        data['sets'].store abbr, name
        @store.persist_custom_sets data
      end

      def remove_custom_set(name)
        @store ||= DataStore.new
        data = @store.load_custom_sets
        modify_sets! data do |sets|
          prune_set! sets, name
        end
        @store.persist_custom_sets data
      end

      def modify_sets!(data)
        if block_given? && data.include?('sets')
          yield data['sets']
          data.delete 'sets' if data['sets'].empty?
        end
      end

      def prune_set!(sets, name)
        abbr = name.upcase
        sets.delete(abbr) or
        sets.delete_if { |_, value| value == name }
      end
    end
  end
end